package com.iamberry.wechat.core.entity.giftCard;

import java.io.Serializable;
import java.util.Date;

import com.iamberry.wechat.core.entity.PageBean;

/**
 * 抵扣密码 实体类
 * 2017年3月1日
 * @author muzx
 */
public class GiftCardPayCode implements Serializable{
    /**
     * 
     */
    private static final long serialVersionUID = -3148029103703379917L;
    private Integer codeId;                    //id
    private String codePassword;               //抵扣密码
    private Integer codeStatus;                //使用状态
    private String codeReferrerOpenid;         //推荐人openid
    private String  codeUseOpenid;             //使用人openid
    
    private String codeReferrerName;          //推荐人姓名
    private String  codeUseOpenName;           //使用人姓名
    private Date codeCreateDate;               //创建时间 
    private Date codeUpdateDate;               //修改时间
    private String codeRemark;                 //备注
    private PageBean page = new PageBean();    //分页
    public Integer getCodeId() {
        return codeId;
    }
    public void setCodeId(Integer codeId) {
        this.codeId = codeId;
    }
    public String getCodePassword() {
        return codePassword;
    }
    public void setCodePassword(String codePassword) {
        this.codePassword = codePassword;
    }
    public Integer getCodeStatus() {
        return codeStatus;
    }
    public void setCodeStatus(Integer codeStatus) {
        this.codeStatus = codeStatus;
    }
    public String getCodeReferrerOpenid() {
        return codeReferrerOpenid;
    }
    public void setCodeReferrerOpenid(String codeReferrerOpenid) {
        this.codeReferrerOpenid = codeReferrerOpenid;
    }
    public String getCodeUseOpenid() {
        return codeUseOpenid;
    }
    public void setCodeUseOpenid(String codeUseOpenid) {
        this.codeUseOpenid = codeUseOpenid;
    }
    public String getCodeReferrerName() {
        return codeReferrerName;
    }
    public void setCodeReferrerName(String codeReferrerName) {
        this.codeReferrerName = codeReferrerName;
    }
    public String getCodeUseOpenName() {
        return codeUseOpenName;
    }
    public void setCodeUseOpenName(String codeUseOpenName) {
        this.codeUseOpenName = codeUseOpenName;
    }
    public Date getCodeCreateDate() {
        return codeCreateDate;
    }
    public void setCodeCreateDate(Date codeCreateDate) {
        this.codeCreateDate = codeCreateDate;
    }
    public Date getCodeUpdateDate() {
        return codeUpdateDate;
    }
    public void setCodeUpdateDate(Date codeUpdateDate) {
        this.codeUpdateDate = codeUpdateDate;
    }
    public String getCodeRemark() {
        return codeRemark;
    }
    public void setCodeRemark(String codeRemark) {
        this.codeRemark = codeRemark;
    }
    public PageBean getPage() {
        return page;
    }
    public void setPage(PageBean page) {
        this.page = page;
    }
    @Override
    public String toString() {
        return "GiftCardPayCode [codeId=" + codeId + ", codePassword="
                + codePassword + ", codeStatus=" + codeStatus
                + ", codeReferrerOpenid=" + codeReferrerOpenid
                + ", codeUseOpenid=" + codeUseOpenid + ", codeCreateDate="
                + codeCreateDate + ", codeUpdateDate=" + codeUpdateDate
                + ", codeRemark=" + codeRemark + ", page=" + page + "]";
    }
}
